Bug 1344026 - Gnocchi requires bulk delete enabled in swift
Summary: Gnocchi requires bulk delete enabled in swift
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ga
: 9.0 (Mitaka)
Assignee: Pradeep Kilambi
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-08 14:35 UTC by Yurii Prokulevych
Modified: 2016-08-11 11:32 UTC (History)
11 users (show)

Fixed In Version: openstack-tripleo-heat-templates-2.0.0-15.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-11 11:32:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1599 normal SHIPPED_LIVE Red Hat OpenStack Platform 9 director Release Candidate Advisory 2016-08-11 15:25:37 UTC
Launchpad 1590495 None None None 2016-06-08 16:19:21 UTC

Description Yurii Prokulevych 2016-06-08 14:35:50 UTC
Description of problem:
------------------------
When Gnocchi configured with Swift backend it fails to delete obsolete stuff because 'bulk delete' is not available at Swift's side.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
python-gnocchiclient-2.2.0-1.el7ost.noarch
openstack-gnocchi-common-2.1.1-1.el7ost.noarch
openstack-gnocchi-statsd-2.1.1-1.el7ost.noarch
python-gnocchi-2.1.1-1.el7ost.noarch
openstack-gnocchi-metricd-2.1.1-1.el7ost.noarch
openstack-gnocchi-indexer-sqlalchemy-2.1.1-1.el7ost.noarch
openstack-gnocchi-api-2.1.1-1.el7ost.noarch
openstack-gnocchi-carbonara-2.1.1-1.el7ost.noarch

openstack-tripleo-heat-templates-kilo-2.0.0-8.el7ost.noarch
openstack-tripleo-heat-templates-liberty-2.0.0-8.el7ost.noarch
openstack-tripleo-heat-templates-2.0.0-8.el7ost.noarch

Additional Info:
----------------
Example of config: 
http://docs.openstack.org/liberty/config-reference/content/object-storage-bulk-delete.html

Comment 9 Yurii Prokulevych 2016-07-22 06:13:28 UTC
Verified with openstack-tripleo-heat-templates-2.0.0-16.el7ost.noarch

Comment 11 errata-xmlrpc 2016-08-11 11:32:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-1599.html


Note You need to log in before you can comment on or make changes to this bug.